include ../test_defines.mk


COMMON_DIR = ../common
COMMON_SOURCES = $(wildcard $(COMMON_DIR)/*.c)

TARGET = run_test
TARGET_MODULE = ../modules_under_test/test_sequential.so
SOURCES += $(wildcard ./*.c) $(COMMON_SOURCES))
OBJECTS = $(addprefix $(OBJDIR)/,$(notdir $(SOURCES:.c=.o)))

WRAP_FUNC=-Wl,--wrap=

MOCK_WRAP= recv \
		   send \
		   bind \
		   chmod \
		   connect \
		   unix_socket \
		   close \
		   wait_for_response \
		   amxp_subproc_new \
		   amxp_subproc_start_wait \
		   amxp_subproc_get_exitstatus \
		   amxp_subproc_delete

LDFLAGS += $(addprefix $(WRAP_FUNC),$(MOCK_WRAP))

include ../test_targets.mk
